> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domino.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get dataset timeline



## OpenAPI

````yaml /api-specs/cloud/dmm.json get /model-monitor/v2/api/model/{model_id}/dataset-timeline
openapi: 3.0.3
info:
  description: The API for programmatic access to Domino Model Monitor.
  title: Domino Model Monitor API
  version: 1.0.1
servers:
  - description: >-
      Replace 'mycluster.domino.tech' with your Domino cluster hostname. For
      Domino Cloud customers, that is `your-subdomain`.domino.tech (e.g.,
      acme.domino.tech). For self-hosted deployments, it is the hostname you
      reach the Domino UI at.
    url: https://mycluster.domino.tech
security: []
tags:
  - description: All Dataset Job related operations.
    name: DatasetJob
  - description: All data source related operations.
    name: DataSource
  - description: All Model related operations.
    name: Model
  - description: Operations related to the management of model tags.
    name: ModelTag
  - description: All Model drift related operations.
    name: ModelDrift
  - description: All Model quality related operations.
    name: ModelQuality
  - description: All Workbench related operations.
    name: Workbench
  - description: Operations related to drift and model quality defaults setting in DMM.
    name: DefaultSettings
  - description: Operations related to configuring user related settings for DMM.
    name: UserSettings
  - description: >-
      Operations related to configuring notification channel config and alert
      recipients for the model.
    name: Notification
  - description: Other miscellaneous operations.
    name: Other
  - description: All scheduler related operations
    name: Scheduler
paths:
  /model-monitor/v2/api/model/{model_id}/dataset-timeline:
    summary: Gets the dataset ingestion timeline
    parameters:
      - in: path
        name: model_id
        required: true
        schema:
          type: string
      - in: query
        name: start_date
        required: true
        schema:
          type: number
      - in: query
        name: end_date
        required: true
        schema:
          type: number
    get:
      tags:
        - DatasetJob
      summary: Get dataset timeline
      operationId: getDatasetTimeline
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/datasetIngestTimelineArray'
          description: Gets the dataset ingestion timeline
        '400':
          description: Bad request input data.
        '403':
          description: Forbidden. The endpoint enforces permissions.
        '500':
          description: Internal server error, check server logs.
      security:
        - DominoApiKeyAuth: []
        - DmmApiKeyAuth: []
        - cookieAuth: []
        - BearerAuth: []
components:
  schemas:
    datasetIngestTimelineArray:
      items:
        $ref: '#/components/schemas/datasetIngestTimeline'
      type: array
    datasetIngestTimeline:
      description: Dataset record count by ingestion date.
      properties:
        date:
          description: Epoch date value.
          type: integer
        ground_truth:
          description: GT labels count.
          type: integer
        prediction:
          description: Prediction row count.
          type: integer
      required:
        - date
        - prediction
        - ground_truth
      type: object
  securitySchemes:
    DominoApiKeyAuth:
      in: header
      name: X-Domino-Api-Key
      type: apiKey
    DmmApiKeyAuth:
      in: header
      name: X-DMM-API-KEY
      type: apiKey
    cookieAuth:
      in: cookie
      name: PLAY_SESSION
      type: apiKey
    BearerAuth:
      scheme: bearer
      type: http

````

## Related topics

- [Get model quality scheduled checks timeline](/api-reference/modelquality/get-model-quality-scheduled-checks-timeline.md)
- [Create new attachment](/api-reference/attachments/create-new-attachment.md)
- [Monitor Flows](/cloud/platform-capabilities/features/flows/monitor-flows.md)
- [Get bundle by ID](/api-reference/bundles/get-bundle-by-id.md)
